Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpErlangExit

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ericsson.otp.erlang.OtpException
                        |
                        +--com.ericsson.otp.erlang.OtpErlangException
                              |
                              +--com.ericsson.otp.erlang.OtpErlangExit

All Implemented Interfaces:
  java.io.Serializable

public class OtpErlangExit
extends OtpErlangException

Exception raised when a communication channel is broken. This can be caused for a number of reasons, for example:

- an error in communication has occurred
- a remote process has sent an exit signal
- a linked process has exited

See Also:
  `OtpConnection`, Serialized Form

Constructor Summary
`OtpErlangExit(java.lang.String reason)` Create an OtpErlangExit exception with the given reason.
`OtpErlangExit(java.lang.String reason, OtpErlangPid pid)` Create an OtpErlangExit exception with the given reason and sender pid.

Method Summary
`OtpErlangPid` | `pid()` Get the pid that sent this exit.
`java.lang.String` | `reason()` Get the reason associated with this exit signal.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpErlangExit

    public OtpErlangExit(java.lang.String reason)

  Create an OtpErlangExit exception with the given reason.
  Parameters:
    `reason` - the reason this exit signal has been sent.

### OtpErlangExit

    public OtpErlangExit(java.lang.String reason,
                         OtpErlangPid pid)

  Create an OtpErlangExit exception with the given reason and sender pid.
  Parameters:
    `reason` - the reason this exit signal has been sent.
    `pid` - the pid that sent this exit.

Method Detail

### reason

    public java.lang.String reason()

  Get the reason associated with this exit signal.

### pid

    public OtpErlangPid pid()

  Get the pid that sent this exit.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD